China factories

Decorative Paper Origami Table Lamp Nightlight Customized

Price: 5 Get Latest Price
  • Brand Name: No Brand
  • Model Number: S-02
  • Minimum Order Quantity: 500
  • Delivery Time: 15 work days
  • view more

Creative Led Table Lamp Cordless Desk Lamps Portable Modern Romantic Table Lamp

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-T6125
  • Minimum Order Quantity: 20 pcs
  • Delivery Time: 15 days after received the advance payment
  • view more

Portable Rechargeable LED Table Lamp Art Deco Design Style with Animal Pattern Ceramic

Price: $14.63/pieces Get Latest Price
  • Brand Name: OTHER
  • Model Number: TD1
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: Negotiable
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Strong Magnetic High-Brightness COB Working Lamp Adjustable Portable Outdoor Light Magnetic Lighting Lamp Manufacturer Supply

Price: $7.80-8.80 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: XY-167
  • Minimum Order Quantity: 10
  • Delivery Time: Negotiable
  • view more

Wireless Rechargeable Table Lamp with Dual-Color Lighting and 1Watt Power for Dining Rooms

Price: $7.99-9.99 Get Latest Price
  • Brand Name: VALED
  • Model Number: T9
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

Portable Rechargeable Wireless Marble Base Table Lamp Home Decor Cordless Touch Dimming Desk Light for Restaurant Hotel Bedroom

Price: Factory price/Genuine retail price Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0145
  • Minimum Order Quantity: 100 set/<100set
  • Delivery Time: 7-15days
  • view more

Portable Smart Rechargeable Outdoor Table Lamp with Woven Drum Shade, IP65+ Protection, and 48 Hours Working Time

Price: Negotiable Get Latest Price
  • Brand Name: MEITU
  • Model Number: SXT0227-16B
  • Minimum Order Quantity: 50
  • Delivery Time: 35DAYS
  • view more

Foldable LED Table Lamp 5 Watts Warm Light For Bedroom Portable Desk Lighting Fixture

Price: Good price Get Latest Price
  • Brand Name: DY
  • Model Number: NO.:006Y
  • Minimum Order Quantity: 1 Carton
  • Delivery Time: 5days
  • view more

Cordless table lamp Touch Sensor Bar Restaurant Led Portable Bar table lamp(WH-MTB-94)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-MTB-94
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Classic Home Decor Bedroom Portable Table Lamp Amber Decor Glass Shade bedroom table lamps

Price: D220*H420MM 36USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B50013
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Three Dimming LED Folding Table Lamp 5W Portable Table Light With Cosmetic Mirror

Price: $5.9 Get Latest Price
  • Brand Name: JMKMGL
  • Model Number: JMK-L02
  • Minimum Order Quantity: 2
  • Delivery Time: Depends on QTY
  • view more

3w Modern Children Reading LED Desk Lamp With USB Rechargeable Table Lamp For Study

Price: $3.35/pieces 500-999 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-T003
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

CE Christmas Tree Crystal Table Lamp 5x6cm Candle Crystal Bedside Lamps

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: SJD-05
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Durable alloy metal balancing base Led Rechargeable Table Lamp for Students Reading

Price: Negotiable Get Latest Price
  • Brand Name: TAC
  • Model Number: 3.0V/3.2V/3.7V/7.4V/12.8V
  • Minimum Order Quantity: 200pcs
  • Delivery Time: Negotiable
  • view more

100W LED Adjustable Table Lamp White Space Saving Desk Lamp Brightness

Price: Negotiable Get Latest Price
  • Brand Name: Guandi
  • Model Number: SK-LC2100-C1
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 work days
  • view more

Creative Crystal Modern Cordless Portable LED Night Light Table Lamp Rechargeable

Price: 9.9usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LNL-06
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

European Portable LED Table Lamp Warm Light with Eye Protection for Hotel& Decor

Price: CN¥78.33-83.32 Get Latest Price
  • Brand Name: Sanyata
  • Model Number: Negotiable
  • Minimum Order Quantity: 100
  • Delivery Time: Negotiable
  • view more

Modern LED Light Table Lamp Outdoor Indoor Rechargeable Cordless Simple Sleek Design

Price: Negotiable Get Latest Price
  • Brand Name: ZS
  • Model Number: ZS939
  • Minimum Order Quantity: 2
  • Delivery Time: 3-7
  • view more